---
title: "dataproc/ERR/2022_003"
linkTitle: "ERR/2022_003"
weight: 1
type: docs
description: >
  Dataproc Service Account permissions
---

**Product**: [Cloud Dataproc](https://cloud.google.com/dataproc)\
**Rule class**: ERR - Something that is very likely to be wrong

### Description

Verify that the Dataproc Service Account exists and has the Dataproc Service
Agent role on the project.

### Remediation

Add the [Dataproc Service
Agent](https://cloud.google.com/iam/docs/understanding-roles#dataproc.serviceAgent)
role to the Dataproc Service Agent service account (service-[project-number]@dataproc-accounts.iam.gserviceaccount.com)
or to the Google APIs service agent account ([project-number]@cloudservices.gserviceaccount.com) for control plane operations.

### Further information

- [Dataproc service accounts](https://cloud.google.com/dataproc/docs/concepts/configuring-clusters/service-accounts.md#dataproc_service_accounts_2)
