---
title: "gce/ERR/2022_001"
linkTitle: "ERR/2022_001"
weight: 1
type: docs
description: >
  Project limits were not exceeded.
---

**Product**: [Compute Engine](https://cloud.google.com/compute)\
**Rule class**: ERR - Something that is very likely to be wrong

### Description

Google Cloud establishes various quotas that you can use to track and limit
the resources consumed by a project or organization. In most cases, if you run
out of quota the task that you are trying to perform, such as deploying an
application, creating a new project, or calling an API, fails and you get a
quota error.

The Cloud Monitoring will record the event when any service in your project is
reporting a quota exceeded error.

### Remediation

The task continues to fail until you free up resources (for allocation quota),
the time period resets (for rate quota), or you
[request and are granted a quota increase](https://cloud.google.com/docs/quota#about_increase_requests).

### Further information

- [Working with quota](https://cloud.google.com/docs/quota)
