---
title: "gke/WARN/2021_006"
linkTitle: "WARN/2021_006"
weight: 1
type: docs
description: >
  GKE nodes aren't reporting conntrack issues.
---

**Product**: [Google Kubernetes Engine](https://cloud.google.com/kubernetes-engine)\
**Rule class**: WARN - Something that is possibly wrong

### Description

The following string was found in the serial logs:
`nf_conntrack: table full`. This indicates that the Linux Kernel connection
tracking table is full.

### Remediation

See the *GKE Troubleshooting* guide linked below.

To find the matching log lines, use the following filter in Cloud Logging:

```
resource.type="gce_instance"
log_id("serialconsole.googleapis.com/serial_port_1_output")
textPayload:"nf_conntrack: table full"
```

### Further information

- [GKE Troubleshooting](https://cloud.google.com/kubernetes-engine/docs/troubleshooting)
