---
title: "tpu/WARN/2022_001"
linkTitle: "WARN/2022_001"
weight: 1
type: docs
description: >
  Cloud TPU resource availability
---

**Product**: [Cloud TPU](https://cloud.google.com/tpu)\
**Rule class**: WARN - Something that is possibly wrong

### Description

Resource errors occur when you try to request new resources in a zone that
cannot accommodate your request due to the current unavailability of a Cloud
TPU resource.

### Remediation

You can try in another zone where Cloud TPU Nodes are offered or please contact
your account or sales team to consider purchasing reserved resources (CUD)

### Further information

- [Cloud TPU Regions](https://cloud.google.com/tpu/docs/regions)
- [Resource availability](https://cloud.google.com/compute/docs/troubleshooting/troubleshooting-vm-creation#resource_availability)
- [Committed use discounts](https://cloud.google.com/compute/docs/instances/signing-up-committed-use-discounts)
